Subject: Re: Honor extractor's umask in git-tar-tree.

From: "H. Peter Anvin" <[email-masked]>
Date: Sat, 01 Oct 2005 20:24:12 -0700

Junio C Hamano wrote:
> The archive generated with git-tar-tree had 0755 and 0644 mode bits.
> This inconvenienced the extractor with umask 002 by robbing g+w bit
> unconditionally.  Just write it out with loose permissions bits and
> let the umask of the extractor do its job.

I've thought that it would be nice if the files/directories were written 
into the archive with 0666/0777 permissions by default, and then 
extracted with the umask honoured.  A special option then could be used 
to add files with special permissions, like files in .ssh, which *have* 
to be g-w or sshd will reject them.

	-hpa